Bug 248588 - editors/jove: Fails to fetch, Update to 4.17.0.5
Summary: editors/jove: Fails to fetch, Update to 4.17.0.5
Status: Closed Feedback Timeout
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2020-08-11 09:50 UTC by Gian-Simon Purkert
Modified: 2020-09-06 10:06 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback? (gspurki)
tcberner: merge-quarterly+


Attachments
Changed the URL so file is fetchable again (398 bytes, patch)
2020-08-13 09:15 UTC, Gian-Simon Purkert
koobs: maintainer-approval+
Details | Diff
Update Jove to 4.17.0.5 (9.63 KB, patch)
2020-08-16 12:56 UTC, Gian-Simon Purkert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gian-Simon Purkert 2020-08-11 09:50:59 UTC
Also ftp://ftp.cs.toronto.edu/pub/moraes/jove/jove-4.16.tar.gz: File unavailable (e.g., file not found, no access)
Comment 1 Li-Wen Hsu freebsd_committer 2020-08-11 16:11:01 UTC
There is currently no maintainer of this port, it's welcomed if you can submit a patch and even taking the maintainership.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-08-13 04:37:24 UTC
^Triage: Patches for fixing fetch and the version update should be provided separately so that the former can be committed first and merged to the quarterly branch
Comment 3 Gian-Simon Purkert 2020-08-13 09:15:05 UTC
Created attachment 217186 [details]
Changed the URL so file is fetchable again
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2020-08-15 05:04:57 UTC
Comment on attachment 217186 [details]
Changed the URL so file is fetchable again

Fetch, config, build and run fixes are:

Approved by: portmgr (blanket: fetch fix)
MFH: 2020Q3 (blanket: fetch fix)
Comment 5 commit-hook freebsd_committer 2020-08-15 08:43:07 UTC
A commit references this bug:

Author: tcberner
Date: Sat Aug 15 08:42:59 UTC 2020
New revision: 544922
URL: https://svnweb.freebsd.org/changeset/ports/544922

Log:
  editors/jove: fix fetch

  PR:		248588
  Submitted by:	gspu <gspurki@gmail.com>

Changes:
  head/editors/jove/Makefile
Comment 6 commit-hook freebsd_committer 2020-08-15 08:44:09 UTC
A commit references this bug:

Author: tcberner
Date: Sat Aug 15 08:43:46 UTC 2020
New revision: 544923
URL: https://svnweb.freebsd.org/changeset/ports/544923

Log:
  MFH: r544922

  editors/jove: fix fetch

  PR:		248588
  Submitted by:	gspu <gspurki@gmail.com>

  Approved by:	ports-secteam (implicit)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/editors/jove/Makefile
Comment 7 Tobias C. Berner freebsd_committer 2020-08-15 08:44:22 UTC
Moin moin 

The MATER_SITES change has been committed. 


mfg Tobias
Comment 8 Tobias C. Berner freebsd_committer 2020-08-15 08:48:39 UTC
You mentioned an update to 4.17.0.5, could you provide a aptch for that?
Comment 9 Gian-Simon Purkert 2020-08-16 12:56:04 UTC
Created attachment 217255 [details]
Update Jove to 4.17.0.5

I have one question. 

I could delete all the patches in the "file" folder, and made the diff with "diff -u -N -r" so i get stuff like:

--- /usr/ports/editors/jove/files/patch-sysdep.h	2016-07-30 01:15:11.000000000 +0200
+++ /usr/ports/editors/jove/files/patch-sysdep.h        1970-01-01 01:00:00.000000000 +0100

The file patch-sysdep.h is now empty with the date 1970, does that means its going to be deleted and the folder "files" too?